<template>
  <div >
    <Modal id="index_service_modal" v-model="showMd" :title="title" :footer-hide="true" class-name="vertical-center-modal" :width="369">
      <div class="platform_service">       
          <div class="serviceItem">
            <span class="serviceTitle">姓名：</span>
            <span class="serviceValue">{{service.name}}</span>
          </div>
          <div class="serviceItem">
            <span class="serviceTitle">电话：</span>
            <span class="serviceValue">{{service.mobile}}</span>
          </div>
          <div class="serviceItem">
            <span class="serviceTitle">QQ：</span>
            <span class="serviceValue">{{service.qq}}</span>
          </div>
      </div>
    </Modal>
  </div>
</template>
<script>
export default {
  name: "index_service",
  props: {
    show: Boolean,
    value:Object,
    name: String,
  },
  data() {
    return {
      title: '',
      service: {}
    };
  },
  computed: {
    showMd: {
      get(n) {
        this.title = this.name + '客服信息'
        if (this.show) {
          this.service = this.value
        }
        return this.show;
      },
      set(val) {
        this.$emit("update:show", val);
      }
    }
  },
  methods: {
  },
  created() {},
};
</script>
<style scoped>
.platform_service {
  padding: 14px 15px;
}
.ivu-form-item {
  margin: 0;
}
.serviceItem {
  font-size: 16px !important;
  line-height: 32px;
}
.serviceTitle {
  display: inline-block;
  width: 90px;
  text-align: right;
}
</style>
